GLM: GLM_GTX_dual_quaternion

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Typedefs | Functions
GLM_GTX_dual_quaternion
GTC Extensions (Stable)

## Typedefs
typedef highp_ddualquat | ddualquat
typedef highp_fdualquat | dualquat
typedef highp_fdualquat | fdualquat
typedef detail::tdualquat < double, highp > | highp_ddualquat
typedef detail::tdualquat < float, highp > | highp_dualquat
typedef detail::tdualquat < float, highp > | highp_fdualquat
typedef detail::tdualquat < double, lowp > | lowp_ddualquat
typedef detail::tdualquat < float, lowp > | lowp_dualquat
typedef detail::tdualquat < float, lowp > | lowp_fdualquat
typedef detail::tdualquat < double, mediump > | mediump_ddualquat
typedef detail::tdualquat < float, mediump > | mediump_dualquat
typedef detail::tdualquat < float, mediump > | mediump_fdualquat

## Functions
template<typename T , precision P>
detail::tdualquat< T, P > | dualquat_cast (detail::tmat2x4< T, P > const &x)
template<typename T , precision P>
detail::tdualquat< T, P > | dualquat_cast (detail::tmat3x4< T, P > const &x)
template<typename T , precision P>
detail::tdualquat< T, P > | inverse (detail::tdualquat< T, P > const &q)
template<typename T , precision P>
detail::tdualquat< T, P > | lerp (detail::tdualquat< T, P > const &x, detail::tdualquat< T, P > const &y, T const &a)
template<typename T , precision P>
detail::tmat2x4< T, P > | mat2x4_cast (detail::tdualquat< T, P > const &x)
template<typename T , precision P>
detail::tmat3x4< T, P > | mat3x4_cast (detail::tdualquat< T, P > const &x)
template<typename T , precision P>
detail::tdualquat< T, P > | normalize (detail::tdualquat< T, P > const &q)

## Detailed Description

Defines a templated dual-quaternion type and several dual-quaternion operations.

<glm/gtx/dual_quaternion.hpp> need to be included to use these functionalities.

## Typedef Documentation

typedef highp_ddualquat ddualquat

Dual-quaternion of default double-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 279 of file dual_quaternion.hpp.

typedef highp_fdualquat dualquat

Dual-quaternion of floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 255 of file dual_quaternion.hpp.

typedef highp_fdualquat fdualquat

Dual-quaternion of single-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 260 of file dual_quaternion.hpp.

typedef detail::tdualquat<double, highp> highp_ddualquat

Dual-quaternion of high double-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 248 of file dual_quaternion.hpp.

typedef detail::tdualquat<float, highp> highp_dualquat

Dual-quaternion of high single-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 216 of file dual_quaternion.hpp.

typedef detail::tdualquat<float, highp> highp_fdualquat

Dual-quaternion of high single-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 232 of file dual_quaternion.hpp.

typedef detail::tdualquat<double, lowp> lowp_ddualquat

Dual-quaternion of low double-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 238 of file dual_quaternion.hpp.

typedef detail::tdualquat<float, lowp> lowp_dualquat

Dual-quaternion of low single-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 206 of file dual_quaternion.hpp.

typedef detail::tdualquat<float, lowp> lowp_fdualquat

Dual-quaternion of low single-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 222 of file dual_quaternion.hpp.

typedef detail::tdualquat<double, mediump> mediump_ddualquat

Dual-quaternion of medium double-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 243 of file dual_quaternion.hpp.

typedef detail::tdualquat<float, mediump> mediump_dualquat

Dual-quaternion of medium single-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 211 of file dual_quaternion.hpp.

typedef detail::tdualquat<float, mediump> mediump_fdualquat

Dual-quaternion of medium single-precision floating-point numbers.

See Also
  GLM_GTX_dual_quaternion

Definition at line 227 of file dual_quaternion.hpp.

## Function Documentation

detail::tdualquat<T, P> glm::dualquat_cast | ( | detail::tmat2x4< T, P > const & | x | ) |

Converts a 2 * 4 matrix (matrix which holds real and dual parts) to a quaternion.

See Also
  GLM_GTX_dual_quaternion

detail::tdualquat<T, P> glm::dualquat_cast | ( | detail::tmat3x4< T, P > const & | x | ) |

Converts a 3 * 4 matrix (augmented matrix rotation + translation) to a quaternion.

See Also
  GLM_GTX_dual_quaternion

detail::tdualquat<T, P> glm::inverse | ( | detail::tdualquat< T, P > const & | q | ) |

Returns the q inverse.

See Also
  GLM_GTX_dual_quaternion

detail::tdualquat<T, P> glm::lerp | ( | detail::tdualquat< T, P > const & | x,
|  | detail::tdualquat< T, P > const & | y,
|  | T const & | a
| ) |  |

Returns the linear interpolation of two dual quaternion.

See Also
  GLM_GTX_dual_quaternion

detail::tmat2x4<T, P> glm::mat2x4_cast | ( | detail::tdualquat< T, P > const & | x | ) |

Converts a quaternion to a 2 * 4 matrix.

See Also
  GLM_GTX_dual_quaternion

detail::tmat3x4<T, P> glm::mat3x4_cast | ( | detail::tdualquat< T, P > const & | x | ) |

Converts a quaternion to a 3 * 4 matrix.

See Also
  GLM_GTX_dual_quaternion

detail::tdualquat<T, P> glm::normalize | ( | detail::tdualquat< T, P > const & | q | ) |

Returns the normalized quaternion.

See Also
  GLM_GTX_dual_quaternion